Bug 15133 - runreport.pl badly encode accented characters
Summary: runreport.pl badly encode accented characters
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15120
Blocks: 12544
  Show dependency treegraph
 
Reported: 2015-11-05 07:56 UTC by Frédéric Demians
Modified: 2017-06-14 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15133: encode correctly email generated by runreport.pl (2.60 KB, patch)
2015-11-05 07:59 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15133: encode correctly email generated by runreport.pl (2.71 KB, patch)
2015-11-05 21:50 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 15133: encode correctly email generated by runreport.pl (2.78 KB, patch)
2015-11-06 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2015-11-05 07:56:08 UTC
/misc/cronjobs/runreport.pl send badly encoded email in text/csv (ok in HTML): both subject & message.
Comment 1 Frédéric Demians 2015-11-05 07:59:20 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2015-11-05 21:50:40 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-06 13:41:56 UTC
Created attachment 44561 [details] [review]
[PASSED QA] Bug 15133: encode correctly email generated by runreport.pl

/misc/cronjobs/runreport.pl send badly encoded email in text/csv
(partially ok in HTML).

TEST:

1. Send by email a report containing a subject with accented characters
   and resultset with accented characters. For example:

   ./runreport.pl --subject="éèà" --to=me@home.org  1
   ./runreport.pl --format=html --subject="éèà" --to=me@home.org  1

   The first email contains badly encoded subject & message. The second email
   contains badly encoded subject, but correct message.

2. Apply the patch

3. Repeat 1 => No more strange characters.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Characters are correctly encoded now, thanks for that good spot.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-11-09 14:50:22 UTC
Why is this marked as an enhancement?
Comment 5 Tomás Cohen Arazi 2015-11-16 19:00:07 UTC
Patch pushed to master.

Thanks Frederic!
Comment 6 Frédéric Demians 2015-11-29 21:02:08 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 7 Liz Rea 2016-01-06 21:18:40 UTC
Pushed to 3.18.13, and released.